Subject: crypto draft changes

From: Ken Raeburn <[email-masked]>
Date: Wed, 19 Mar 2003 19:47:29 -0500

New draft: http://www.mit.edu/~raeburn/draft-ietf-krb-wg-crypto-04.txt

Diffs, ignoring whitespace, and after stripping out page headers and
footers:
http://www.mit.edu/~raeburn/draft-ietf-krb-wg-crypto-03-04-diffs.txt

Semantically important diffs with introductory comments:
http://www.mit.edu/~raeburn/draft-ietf-krb-wg-crypto-03-04-xdiffs.txt

Weak keys are now explicitly permitted in the rsa-md5-des,
rsa-md4-des, and des-mac checksum types, because we aren't currently
checking for weak "variant" keys at key generation time, and may have
stored keys with weak variants.

Weak keys are now explicitly corrected in 3des key generation, because
Heimdal does it, and while MIT doesn't, it wouldn't actually work with
such keys anyways, and users' keys may be stored long term in KDCs.

Ken